
/*
* To change this template, choose Tools | Templates
* and open the template in the editor.
 */
package soubory1;

import java.io.*;    // nutne pro pouziti Readeru a Streamu

/**
 *
 * @author martin
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        // ukazka zapisu do textoveho souboru
        try {

            // soubor si vytvorime (matice.txt)
            FileWriter     fw = new FileWriter("matice.txt");
            BufferedWriter bw = new BufferedWriter(fw);

            // do souboru si zapiseme 2 hodnoty
            bw.write("10");
            bw.newLine();
            bw.write("5");
            bw.close();
            fw.close();
        }

        // vzdy je treba zachytit vznikle vyjimky pri praci se soubory alespon takto:
        catch (IOException e) {
            System.out.println(e.getMessage());
        }

        // ukazka cteni textoveho souboru
        try {
            FileReader     fr = new FileReader("matice.txt");
            BufferedReader br = new BufferedReader(fr);

            // precteme jeden radek
            String radek = br.readLine();

            // vypiseme si ho
            System.out.println(radek);

            // precteme druhy radek
            String radek2 = br.readLine();

            // vypiseme si ho
            System.out.println(radek2);

            // prevedeme na cislo:
            long cislo1 = Long.parseLong(radek);
            long cislo2 = Long.parseLong(radek2);

            System.out.println("S cislem jiz lze pocitat: cislo1+cislo2=" + (cislo1 + cislo2));

            // vice cisel na radku lze zpracovat napriklad pomoci java.util.StringTokenizer
            // nezapomeneme zavrit
            br.close();
            fr.close();
        } catch (IOException e) {
            System.out.println(e.getMessage());
        }

        // ukazka vytvoreni binarniho souboru
        try {

            // soubor si vytvorime (matice.txt)
            FileOutputStream fos = new FileOutputStream("matice.bin");
            DataOutputStream dos = new DataOutputStream(fos);

            // do souboru si zapiseme 2 hodnoty
            dos.writeLong(15);
            dos.writeDouble(3.14);

            // zavreme
            dos.close();
            fos.close();
        } catch (IOException e) {
            System.out.println(e.getMessage());
        }

        // ukazka cteni binarniho souboru
        try {
            DataInputStream ios = new DataInputStream(new FileInputStream("matice.bin"));

            // precteme prvni cele cislo a vypiseme:
            long cisloA = ios.readLong();

            System.out.println(cisloA);

            // precteme druhe realne cislo a vypiseme:
            double cisloB = ios.readDouble();

            System.out.println(cisloB);
            ios.close();
        } catch (IOException e) {
            System.out.println(e.getMessage());
        }
    }
}